##### basic_datagram_socket::basic_datagram_socket (1 of 10 overloads)

Construct a `basic_datagram_socket` without opening it.

    basic_datagram_socket(
        const executor_type & ex);

This constructor creates a datagram socket without opening it. The `open()` function must be called before data can be sent or received on the socket.

###### Parameters

ex

  The I/O executor that the socket will use, by default, to dispatch handlers for any asynchronous operations performed on the socket.